Role External

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
DELETE
GET

List all role external references

Required API key scopes

organization:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/organizations/:organization_id/role_external_references
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/role_external_references/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"provider": "string",
"provider_organization_id": "string",
"provider_role_id": "string",
"provider_role_slug": "string",
"provider_role_name": "string",
"role": "543e2fa5-dae3-497f-aa96-e06da8fcb379",
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
}
}
]
}

Create role external references

Required API key scopes

organization:write

Request parameters

  • provider
    string
  • provider_organization_id
    string
  • provider_role_id
    string
  • provider_role_slug
    stringnull
  • provider_role_name
    string
  • role
    string

Response


Example request

POST /api/organizations/:organization_id/role_external_references
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/role_external_references/\
-d provider="string",\
-d provider_organization_id="string",\
-d provider_role_id="string",\
-d provider_role_name="string",\
-d role="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"provider": "string",
"provider_organization_id": "string",
"provider_role_id": "string",
"provider_role_slug": "string",
"provider_role_name": "string",
"role": "543e2fa5-dae3-497f-aa96-e06da8fcb379",
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
}
}

Delete role external references

Required API key scopes

organization:write

Path parameters

  • id
    string

Example request

DELETE /api/organizations/:organization_id/role_external_references/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/role_external_references/:id/

Example response

Status 204 No response body

Retrieve role external references lookup

Query parameters

  • provider
    string
  • provider_organization_id
    string
  • provider_role_id
    string
  • provider_role_slug
    string

Response


Example request

GET /api/organizations/:organization_id/role_external_references/lookup
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/role_external_references/lookup/

Example response

Status 200
RESPONSE
{
"reference": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"provider": "string",
"provider_organization_id": "string",
"provider_role_id": "string",
"provider_role_slug": "string",
"provider_role_name": "string",
"role": "543e2fa5-dae3-497f-aa96-e06da8fcb379",
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
}
}
}

Community questions

Questions about this page? or post a community question.